<script setup lang="ts">
import { useReceipetStore } from '@/stores/receipt'
import { ref } from 'vue'

const earnCash = ref('')
const receiptStore = useReceipetStore()
const dialog = ref(false)

function changePayment() {
  if (receiptStore.receipt.paymentType === 'cash') {
    receiptStore.receipt.paymentType = 'scan'
    receiptStore.receipt.receicedAmount = 0
  } else {
    receiptStore.receipt.paymentType = 'cash'
  }
}

const showReceipt = function () {
  receiptStore.receipt.receicedAmount = parseInt(earnCash.value)
  earnCash.value = ''
}

function OpenDialog() {
  dialog.value = true
}

function CloseDialog() {
  dialog.value = false
}
</script>

<template>
  <v-row style="margin-left: 5px">
    <v-col cols="6" style="margin-top: 6px">
      <v-text-field
        v-if="receiptStore.receipt.paymentType === 'cash'"
        v-model="earnCash"
        density="compact"
        variant="solo"
        label="Enter Cash"
        append-inner-icon="mdi-currency-usd"
        single-line
        hide-details
        @keyup.enter="showReceipt()"
        style="width: 320px"
      ></v-text-field>
      <v-btn
        @click="OpenDialog()"
        v-if="receiptStore.receipt.paymentType === 'scan'"
        style="width: 320px"
        color="primary"
      >
        QR-Code
      </v-btn>
    </v-col>
    <v-col cols="4" style="margin-left: 75px; margin-top: 6px">
      <v-layout class="overflow-visible" style="height: 45px">
        <v-btn
          :disabled="receiptStore.receipt.paymentType !== 'scan'"
          @click="changePayment()"
          color="primary"
          rounded="0"
          >Cash</v-btn
        >
        <v-btn
          :disabled="receiptStore.receipt.paymentType !== 'cash'"
          @click="changePayment()"
          color="primary"
          rounded="0"
          >Scan</v-btn
        >
      </v-layout>
    </v-col>
  </v-row>

  <v-dialog v-model="dialog" max-width="120px">
    <v-sheet elevation="3">
      <v-img :src="`./img/otherImage/Promtpay.png`" cover></v-img>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="primary" variant="text" @click="CloseDialog()">OK</v-btn>
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-sheet>
  </v-dialog>
</template>
